v.net.iso(1)

NAME
v.net.iso - Split net to bands between cost isolines (direction from centre). Centre node must be opened (costs >= 0). Costs of centre node are used in calculation

KEYWORDS
vector, networking

SYNOPSIS
v.net.iso
v.net.iso help
v.net.iso [-g] input=name output=name [type=string[,string,...]] [alayer=integer] [nlayer=integer] [afcolumn=string] [abcolumn=string] [ncolumn=string] ccats=range costs=integer[,integer,...] [--overwrite]

  Flags:

-g  Use geodesic calculation for longitude-latitude locations

--overwrite

  Parameters:

input=name
    Name of input vector map

output=name
    Name for output vector map

type=string[,string,...]
    Arc type Options: line,boundary Default: line,boundary

alayer=integer
    Arc layer Default: 1

nlayer=integer
    Node layer Default: 2

afcolumn=string
    Arc forward/both direction(s) cost column (number)

abcolumn=string
    Arc backward direction cost column (number)

ncolumn=string
    Node cost column (number)

ccats=range
    Category values Categories of centres (points on nodes) to which net will be allocated, layer for this categories is given by nlayer option.

costs=integer[,integer,...]
    Costs for isolines

DESCRIPTION
v.net.iso splits net to bands between cost isolines (direction from centre). Centre node must be opened (costs >= 0). Costs of centre node are used in calculation. Supported are cost assignments for both arcs and nodes, and also different in both directions of a vector line. For areas cost will be calculated along boundary lines.

NOTES
Nodes must be on the isolines.

Center nodes have to be assigned to vector nodes. Nodes and arcs can be closed using cost = -1.

EXAMPLE
Subdivision of a network into areas:
The map must contain at least one center (point) on the vector network which can be patched into with v.patch.
# Spearfish
# start node:
echo "591280.5|4926396.0|1" | v.in.ascii out=startnode
g.copy vect=roads,myroads
#create line map connecting point to network
v.distance -p from=startnode to=myroads out=connect upload=dist column=dist
# fix missing category number:
v.category connect out=connect2 op=add
d.vect myroads
d.vect startnode col=red
d.vect connect2 col=green
v.patch in=myroads,connect2,startnode out=roads_n
v.clean roads_n out=roads_net tool=snap,break thresh=5,0
# specify range of center cats (easier to catch all):
v.net.iso input=roads_net output=isomap ccats=1-100000 costs=1000,2000,5000 nlayer=1
v.category isomap option=report
# ... reports 4 categories:
The network is 4 categories:
cat | distance from point
1 0 - 1000
2 1000 - 2000
3 2000 - 5000
4 > 5000
To see the result, run for example:
d.erase
d.vect isomap col=blue cats=1
d.vect isomap col=green cats=2
d.vect isomap col=yellow cats=3
d.vect isomap col=red cats=4

SEE ALSO
d.path, v.net, v.net.alloc, v.net.path, v.net.salesman, v.net.steiner, v.patch

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2007/07/22 23:54:59 $

Full index